#!/bin/sh

set -e

mkdir -p ${SQUID_CONFDIR}

mkdir -p ${SQUID_CONFDIR}/conf.d
echo "Wipe ${SQUID_CONFDIR}/conf.d/env.conf"
> ${SQUID_CONFDIR}/conf.d/env.conf
if [ -n "${SQUID_LISTS_DIR}" -a -d "${SQUID_LISTS_DIR}" ]; then
  for CATEGORY in $(find "${SQUID_LISTS_DIR}" -type d -mindepth 1 -maxdepth 1); do
    for LIST in $(ls ${CATEGORY}/*.list); do
      CATEGORY=$(basename ${CATEGORY})
      ACL=$(basename ${LIST} .list)
      echo "Adding acl ${CATEGORY} dstdomain \"${LIST}\" in ${SQUID_CONFDIR}/conf.d/env.conf"
      echo "acl ${CATEGORY} dstdomain \"${LIST}\"" >> ${SQUID_CONFDIR}/conf.d/env.conf
      echo "Adding acl ${ACL} dstdomain \"${LIST}\" in ${SQUID_CONFDIR}/conf.d/env.conf"
      echo "acl ${ACL} dstdomain \"${LIST}\"" >> ${SQUID_CONFDIR}/conf.d/env.conf
    done
  done
fi

for VAR in $(printenv | grep -E "^SQUID_CONF_" | sed -E 's/^SQUID_CONF_([^=]+)=.*/\1/' | sort -V); do
  DIRECTIVE=$(echo ${VAR} | sed -E 's/^[0-9]+_//' | sed -E "s/_[0-9]+$//")
  echo "Adding ${VAR} setting in ${SQUID_CONFDIR}/conf.d/env.conf"
  echo "${DIRECTIVE} $(printenv SQUID_CONF_${VAR})" >> ${SQUID_CONFDIR}/conf.d/env.conf
done
