#!/bin/sh

set -euo pipefail

# Remove any line containing auth_XXX acl not present in /secrets/acl.conf
IFS=$'\n'
for LINE in $(grep -E "http_access .* auth_.*" /secrets/env.conf); do
  ACL=$(echo ${LINE} | sed -E 's/http_access .* (auth_[^\ ]+).*/\1/')
  if ! grep -q ${ACL} /secrets/acl.conf; then
    echo "Remove ${LINE} from /secrets/env.conf because acl ${ACL} doesn't exist"
    sed -i -E "/.*${ACL}.*/d" /secrets/env.conf
  fi
done

